Font::TTF::EBLC(3)

NAME
Font::TTF::EBLC - Embeeded Bitmap Location Table

DESCRIPTION
Contains the sizes and glyph ranges of bitmaps, and the offsets to glyph bitmap data in indexSubTables for EBDT.

Possibly contains glyph metrics information.

INSTANCE VARIABLES
The information specified '(R)ead only' is read only, those are calculated from EBDT, when it is 'update'-ed.

bitmapSizeTable
    An array of tables of following information

    indexSubTableArrayOffset (R)
    indexTablesSize (R)
    numberOfIndexSubTables (R)
    colorRef
    hori
    vert
    startGlyphIndex (R)
    endGlyphIndex (R)
    ppemX
    ppemY
    bitDepth
    flags
indexSubTableArray (R)
    An array which contains range information.

indexSubTable (R)
    An array which contains offsets of EBDT table.

METHODS

  $t->read
Reads the location information of embedded bitmap from the TTF file into memory

  $t->out($fh)
Outputs the location information of embedded bitmap for this font.

BUGS
Only indexFormat ==1 is implemented. XML output is not supported (yet).

AUTHOR
NIIBE Yutaka <mailto:gniibe@fsij.org>. This was written at the CodeFest Akihabara 2006 hosted by FSIJ.

Patch sent with licensing requirements??

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.